%define cdrecord_ver 1.8.1a02
%define cdda2wav_ver 1.0
%define mkisofs_ver  1.12
%define mkhybrid_ver 1.12b6.0

Summary: A command line CD/DVD-Recorder
Name: cdrecord
Version: %{cdrecord_ver}
Release: 2
Serial: 1
Group: Utilities/System
Copyright: GPL
Url: http://www.fokus.gmd.de/research/cc/glone/employees/joerg.schilling/private/cdrecord.html
Vendor: Jrg Schilling <schilling@fokus.gmd.de>
Packager: Hao Li <hli@wag.caltech.edu>
Source0: ftp://ftp.fokus.gmd.de/pub/unix/cdrecord/alpha/cdrecord-%{version}.tar.gz
Source1: cdrecord.default
Patch0:  cdrecord-%{version}.patch
BuildRoot: /var/tmp/%{name}-root

%description
Cdrecord allows you to create CD's on a CD-Recorder (SCSI/ATAPI).
Supports data, audio, mixed, multi-session and CD+ discs etc.

This package includes cdrecord-%{version}, cdda2wav-%{cdda2wav_ver},
mkisofs-%{mkisofs_ver}, and mkhybrid-%{mkhybrid_ver}

Remember to customize /etc/default/cdrecord before using cdrecord.


%prep
%setup -q -n cdrecord-1.8.1
%patch -p1


%build
make
# collect %doc files
mkdir -p rpm_doc/{cdrecord-%{version},cdda2wav-%{cdda2wav_ver},mkisofs-%{mkisofs_ver},mkhybrid-%{mkhybrid_ver}}
mv ABOUT AN* COPYING Changelog PORTING README* START \
	rpm_doc/cdrecord-%{version}
mv cdda2wav/{FAQ,Frontends,GPL,HOWTOUSE,NEEDED,OtherProgs,README,THANKS,TODO} \
	rpm_doc/cdda2wav-%{cdda2wav_ver}
mv mkisofs/{COPYING,ChangeLog,README*,TODO} \
	rpm_doc/mkisofs-%{mkisofs_ver}
mv mkhybrid/{ChangeLog.mkhybrid,README*} \
	rpm_doc/mkhybrid-%{mkhybrid_ver}


%install
rm -rf $RPM_BUILD_ROOT
make INS_BASE=$RPM_BUILD_ROOT/usr install
strip $RPM_BUILD_ROOT/usr/bin/*

# Make cdrecord suid root so normal users can use it
chmod 4711 $RPM_BUILD_ROOT/usr/bin/cdrecord

# Install my config file for Plextor 8/20.
mkdir -p $RPM_BUILD_ROOT/etc/default
install -m644 -p %{SOURCE1} $RPM_BUILD_ROOT/etc/default/cdrecord


%files
%defattr(-,root,root)
%doc rpm_doc/*
%config /etc/default/cdrecord
/usr/bin/*
/usr/man/man*/*


%clean
rm -rf $RPM_BUILD_ROOT

